Subject: Generate Fluid templates with fluid namespaces
Description

See: #27119 and https://fluidtypo3.org/documentation/templating-manual/templating/creating-templates/page-template.html

example:

<div xmlns="http://www.w3.org/1999/xhtml" lang="en" 
     xmlns:f="http://typo3.org/ns/TYPO3/Fluid/ViewHelpers">
<f:layout name="Default" />

<f:section name="main">
...
</f:section>
</div>

I'm just not sure if you should use http://typo3.org/ns/typo3/fluid/viewhelpers or http://typo3.org/ns/TYPO3/Fluid/ViewHelpers

Related issues:
related to TYPO3.Fluid - Feature # 27119: Declare namespaces in XML tag Resolved 2011-05-29

History
#1 - 2015-03-05 19:33 - Simon Schaufelberger

this is maybe good for the documentation: http://insight.helhum.io/post/85031122475/xml-schema-auto-completion-in-phpstorm
maybe also add the location like this:

f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd" 

#2 - 2015-03-14 23:07 - Nico de Haen
- Status changed from New to Accepted

#3 - 2015-03-16 03:50 - Nico de Haen
- Status changed from Accepted to Needs Feedback

As long as the namespace url has no real target it doesn't really makes sense to me to add it to the generated templates.

Or is there an official URI now?
